Bug 1315765 - Clone channel by date fails to deliver the full amount of packages expected
Clone channel by date fails to deliver the full amount of packages expected
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
570
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 09:47 EST by Freddy Wissing
Modified: 2017-05-17 16:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-17 16:54:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Freddy Wissing 2016-03-08 09:47:33 EST
Description of problem:

Customer is attempting to clone a channel by date, and it is repeatably failing to include the full amount of packages that it should.  

Version-Release number of selected component (if applicable):

5.7

How reproducible:

Reliably.

Steps to Reproduce:

1. satellite-sync -c force-all for rhel686 channel
2. waited for select count(*) from rhnerrataqueue to go all the way down to 
zero
3.spacewalk-clone-by-date -l  rhel-i386-server-6 XXX-rhel-i386-server-6-feb2016-6.7 -d 2016-02-24 -u sysadmin -p xxxxx -y



Actual results:

spacewalk-clone-by-date is only cloning 2739 packages out of 12656

Expected results:

The correct number of 12656 packages should be cloned up to the specified date.

Additional info:

01589727

Attaching spacewalk-debug.tar.bz2
Comment 2 Tomáš Kašpárek 2016-03-15 08:36:12 EDT
I wasn't able to reproduce this issue on latest Satellite 5.7 while I was following reproducer steps mentioned in description.

Could you please provide additional details?

Note You need to log in before you can comment on or make changes to this bug.